/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2007 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2001-2008 by Industrial Technology Institute,
 *                              Miyagi Prefectural Government, JAPAN
 *  Copyright (C) 2008 by Witz Corporation, JAPAN
 * 
 *  L쌠҂́Cȉ(1)`(4)̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEE
 *  ρEĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 *      ܂C{\tgEFÃ[U܂̓Gh[ÛȂ闝
 *      RɊÂCL쌠҂TOPPERSvWFNg
 *      Ɛӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړI
 *  ɑ΂K܂߂āCȂۏ؂sȂD܂C{\tgEF
 *  A̗pɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC
 *  ̐ӔC𕉂ȂD
 * 
 */

/*
 *		vZbTˑW[iSH7263pj
 *
 *  ̃CN[ht@ĆCtarget_config.hi܂́CCN
 *  [ht@Cĵ݂CN[hD̃t@C
 *  ڃCN[hĂ͂ȂȂD
 */

#ifndef TOPPERS_SH7263_CONFIG_H
#define TOPPERS_SH7263_CONFIG_H

/*
 *  oNWX^gp邩
 */

#define USE_BANKED_REG


/*
 * ݃nhԍɊւ`
 */ 
#define TMIN_INHNO 64U
#define TMAX_INHNO 247U
#define TNUM_INH   (247U - 64U + 1U)

/*
 * ݔԍɊւ`
 */ 
#define TMIN_INTNO 64U
#define TMAX_INTNO 247U
#define TNUM_INT   (247U - 64U + 1U)

/*
 *  ݗvC̗Dxݒ背WX^̐ݒ
 */
#define IPR_INFO_TBL_DATA   \
    {IPR01, 12U}, /*  64 IRQ0 */ \
    {IPR01,  8U}, /*  65 IRQ1 */ \
    {IPR01,  4U}, /*  66 IRQ2 */ \
    {IPR01,  0U}, /*  67 IRQ3 */ \
    {IPR02, 12U}, /*  68 IRQ4 */ \
    {IPR02,  8U}, /*  69 IRQ5 */ \
    {IPR02,  4U}, /*  70 IRQ6 */ \
    {IPR02,  0U}, /*  71 IRQ7 */ \
\
    {0U, 0U},     /*  72 */ \
    {0U, 0U},     /*  73 */ \
    {0U, 0U},     /*  74 */ \
    {0U, 0U},     /*  75 */ \
    {0U, 0U},     /*  76 */ \
    {0U, 0U},     /*  77 */ \
    {0U, 0U},     /*  78 */ \
    {0U, 0U},     /*  79 */ \
\
    {IPR05, 12U}, /*  80 PINT0 */ \
    {IPR05, 12U}, /*  81 PINT1 */ \
    {IPR05, 12U}, /*  82 PINT2 */ \
    {IPR05, 12U}, /*  83 PINT3 */ \
    {IPR05, 12U}, /*  84 PINT4 */ \
    {IPR05, 12U}, /*  85 PINT5 */ \
    {IPR05, 12U}, /*  86 PINT6 */ \
    {IPR05, 12U}, /*  87 PINT7 */ \
\
    {0U, 0U},     /*  88 */ \
    {0U, 0U},     /*  89 */ \
    {0U, 0U},     /*  90 */ \
    {0U, 0U},     /*  91 */ \
    {0U, 0U},     /*  92 */ \
    {0U, 0U},     /*  93 */ \
    {0U, 0U},     /*  94 */ \
    {0U, 0U},     /*  95 */ \
    {0U, 0U},     /*  96 */ \
    {0U, 0U},     /*  97 */ \
    {0U, 0U},     /*  98 */ \
    {0U, 0U},     /*  99 */ \
    {0U, 0U},     /* 100 */ \
    {0U, 0U},     /* 101 */ \
    {0U, 0U},     /* 102 */ \
    {0U, 0U},     /* 103 */ \
    {0U, 0U},     /* 104 */ \
    {0U, 0U},     /* 105 */ \
    {0U, 0U},     /* 106 */ \
    {0U, 0U},     /* 107 */ \
\
    {IPR06, 12U}, /* 108 DMAC0_TEI */ \
    {IPR06, 12U}, /* 109 DMAC0_HEI */ \
\
    {0U, 0U},     /* 110 */ \
    {0U, 0U},     /* 111 */ \
\
    {IPR06,  8U}, /* 112 DMAC1_TEI */ \
    {IPR06,  8U}, /* 113 DMAC1_HEI */ \
\
    {0U, 0U},     /* 114 */ \
    {0U, 0U},     /* 115 */ \
\
    {IPR06,  4U}, /* 116 DMAC2_TEI */ \
    {IPR06,  4U}, /* 117 DMAC2_HEI */ \
\
    {0U, 0U},     /* 118 */ \
    {0U, 0U},     /* 119 */ \
\
    {IPR06,  0U}, /* 120 DMAC3_TEI */ \
    {IPR06,  0U}, /* 121 DMAC3_HEI */ \
\
    {0U, 0U},     /* 122 */ \
    {0U, 0U},     /* 123 */ \
\
    {IPR07, 12U}, /* 124 DMAC4_TEI */ \
    {IPR07, 12U}, /* 125 DMAC4_HEI */ \
\
    {0U, 0U},     /* 126 */ \
    {0U, 0U},     /* 127 */ \
\
    {IPR07,  8U}, /* 128 DMAC5_TEI */ \
    {IPR07,  8U}, /* 129 DMAC5_HEI */ \
\
    {0U, 0U},     /* 130 */ \
    {0U, 0U},     /* 131 */ \
\
    {IPR07,  4U}, /* 132 DMAC6_TEI */ \
    {IPR07,  4U}, /* 133 DMAC6_HEI */ \
\
    {0U, 0U},     /* 134 */ \
    {0U, 0U},     /* 135 */ \
\
    {IPR07,  0U}, /* 136 DMAC7_TEI */ \
    {IPR07,  0U}, /* 137 DMAC7_HEI */ \
\
    {0U, 0U},     /* 138 */ \
    {0U, 0U},     /* 139 */ \
\
    {IPR08, 12U},  /* 140 USB */ \
    {IPR08,  8U},  /* 141 LCDC */ \
\
    {IPR08,  4U},  /* 142 CMI0 */ \
    {IPR08,  0U},  /* 143 CMI1 */ \
\
    {IPR09, 12U},  /* 144 CMI */ \
    {IPR09,  8U},  /* 145 ITI */ \
\
    {IPR09,  4U},  /* 146 MTU0_TGIA */ \
    {IPR09,  4U},  /* 147 MTU0_TGIB */ \
    {IPR09,  4U},  /* 148 MTU0_TGIC */ \
    {IPR09,  4U},  /* 149 MTU0_TGID */ \
    {IPR09,  0U},  /* 150 MTU0_TGIV */ \
    {IPR09,  0U},  /* 151 MTU0_TGIE */ \
    {IPR09,  0U},  /* 152 MTU0_TGIF */ \
\
    {IPR10, 12U},  /* 153 MTU1_TGIA */ \
    {IPR10, 12U},  /* 154 MTU1_TGIB */ \
    {IPR10,  8U},  /* 155 MTU1_TGIV */ \
    {IPR10,  8U},  /* 156 MTU1_TGIU */ \
\
    {IPR10,  4U},  /* 157 MTU2_TGIA */ \
    {IPR10,  4U},  /* 158 MTU2_TGIB */ \
    {IPR10,  0U},  /* 159 MTU2_TGIV */ \
    {IPR10,  0U},  /* 160 MTU2_TGIU */ \
\
    {IPR11, 12U},  /* 161 MTU3_TGIA */ \
    {IPR11, 12U},  /* 162 MTU3_TGIB */ \
    {IPR11, 12U},  /* 163 MTU3_TGIC */ \
    {IPR11, 12U},  /* 164 MTU3_TGID */ \
    {IPR11,  8U},  /* 165 MTU3_TGIV */ \
\
    {IPR11,  4U},  /* 166 MTU4_TGIA */ \
    {IPR11,  4U},  /* 167 MTU4_TGIB */ \
    {IPR11,  4U},  /* 168 MTU4_TGIC */ \
    {IPR11,  4U},  /* 169 MTU4_TGID */ \
    {IPR11,  0U},  /* 170 MTU4_TGIV */ \
\
    {IPR12, 12U},  /* 171 ADI */ \
\
    {IPR12,  8U},  /* 172 IIC3_STPI0 */ \
    {IPR12,  8U},  /* 173 IIC3_NAKI0 */ \
    {IPR12,  8U},  /* 174 IIC3_RXI0 */ \
    {IPR12,  8U},  /* 175 IIC3_TXI0 */ \
    {IPR12,  8U},  /* 176 IIC3_TEI0 */ \
\
    {IPR12,  4U},  /* 177 IIC3_STPI1 */ \
    {IPR12,  4U},  /* 178 IIC3_NAKI1 */ \
    {IPR12,  4U},  /* 179 IIC3_RXI1 */ \
    {IPR12,  4U},  /* 180 IIC3_TXI1 */ \
    {IPR12,  4U},  /* 181 IIC3_TEI1 */ \
\
    {IPR12,  0U},  /* 182 IIC3_STPI2 */ \
    {IPR12,  0U},  /* 183 IIC3_NAKI2 */ \
    {IPR12,  0U},  /* 184 IIC3_RXI2 */ \
    {IPR12,  0U},  /* 185 IIC3_TXI2 */ \
    {IPR12,  0U},  /* 186 IIC3_TEI2 */ \
\
    {IPR13, 12U},  /* 187 IIC3_STPI3 */ \
    {IPR13, 12U},  /* 188 IIC3_NAKI3 */ \
    {IPR13, 12U},  /* 189 IIC3_RXI3 */ \
    {IPR13, 12U},  /* 190 IIC3_TXI3 */ \
    {IPR13, 12U},  /* 191 IIC3_TEI3 */ \
\
    {IPR13,  8U},  /* 192 SCIF0_BRI */ \
    {IPR13,  8U},  /* 193 SCIF0_ERI */ \
    {IPR13,  8U},  /* 194 SCIF0_RXI */ \
    {IPR13,  8U},  /* 195 SCIF0_TXI */ \
\
    {IPR13,  4U},  /* 196 SCIF1_BRI */ \
    {IPR13,  4U},  /* 197 SCIF1_ERI */ \
    {IPR13,  4U},  /* 198 SCIF1_RXI */ \
    {IPR13,  4U},  /* 199 SCIF1_TXI */ \
\
    {IPR13,  0U},  /* 200 SCIF2_BRI */ \
    {IPR13,  0U},  /* 201 SCIF2_ERI */ \
    {IPR13,  0U},  /* 202 SCIF2_RXI */ \
    {IPR13,  0U},  /* 203 SCIF2_TXI */ \
\
    {IPR14, 12U},  /* 204 SCIF3_BRI */ \
    {IPR14, 12U},  /* 205 SCIF3_ERI */ \
    {IPR14, 12U},  /* 206 SCIF3_RXI */ \
    {IPR14, 12U},  /* 207 SCIF3_TXI */ \
\
    {IPR14,  8U},  /* 208 SSU0_SSERI */ \
    {IPR14,  8U},  /* 209 SSU0_SSRXI */ \
    {IPR14,  8U},  /* 210 SSU0_SSTXI */ \
\
    {IPR14,  4U},  /* 211 SSU0_SSERI */ \
    {IPR14,  4U},  /* 212 SSU0_SSRXI */ \
    {IPR14,  4U},  /* 213 SSU0_SSTXI */ \
\
    {IPR14,  0U},  /* 214 SSI0_SSII */ \
    {IPR15, 12U},  /* 215 SSI1_SSII */ \
    {IPR15,  8U},  /* 216 SSI2_SSII */ \
    {IPR15,  4U},  /* 217 SSI3_SSII */ \
\
    {IPR15,  0U},  /* 218 ROM_DEC_ISY */ \
    {IPR15,  0U},  /* 219 ROM_DEC_IERR */ \
    {IPR15,  0U},  /* 220 ROM_DEC_IARG */ \
    {IPR15,  0U},  /* 221 ROM_DEC_ISEC */ \
    {IPR15,  0U},  /* 222 ROM_DEC_IBUF */ \
    {IPR15,  0U},  /* 223 ROM_DEC_IREADY */ \
\
    {IPR16, 12U},  /* 224 FLCTL_FLSTEI */ \
    {IPR16, 12U},  /* 225 FLCTL_FLTENDI */ \
    {IPR16, 12U},  /* 226 FLCTL_FLTREQ0I */ \
    {IPR16, 12U},  /* 227 FLCTL_FLTREQ1I */ \
\
    {IPR16,  8U},  /* 228 SDHI_SDHI3 */ \
    {IPR16,  8U},  /* 229 SDHI_SDHI0 */ \
    {IPR16,  8U},  /* 230 SDHI_SDHI1 */ \
\
    {IPR16,  4U},  /* 231 RTC_ARM */ \
    {IPR16,  4U},  /* 232 RTC_PRD */ \
    {IPR16,  4U},  /* 233 RTC_CUP */ \
\
    {IPR16,  0U},  /* 234 RCAN_TL1_RCAN0_ERS */ \
    {IPR16,  0U},  /* 235 RCAN_TL1_RCAN0_ERS */ \
    {IPR16,  0U},  /* 236 RCAN_TL1_RCAN0_ERS */ \
    {IPR16,  0U},  /* 237 RCAN_TL1_RCAN0_ERS */ \
    {IPR16,  0U},  /* 238 RCAN_TL1_RCAN0_ERS */ \
\
    {IPR17, 12U},  /* 239 RCAN_TL1_RCAN1_ERS */ \
    {IPR17, 12U},  /* 240 RCAN_TL1_RCAN1_ERS */ \
    {IPR17, 12U},  /* 241 RCAN_TL1_RCAN1_ERS */ \
    {IPR17, 12U},  /* 242 RCAN_TL1_RCAN1_ERS */ \
    {IPR17, 12U},  /* 243 RCAN_TL1_RCAN1_ERS */ \
\
    {IPR17,  8U},  /* 244 SRC_OVF */ \
    {IPR17,  8U},  /* 245 SRC_ODFI */ \
    {IPR17,  8U},  /* 246 SRC_IDEI */ \
\
    {IPR17,  4U},  /* 247 IEB_IEBI */


#ifndef TOPPERS_MACRO_ONLY
#pragma inline (init_irc)
/*
 * IRC̏
 */
Inline void
init_irc(void)
{
    sil_wrh_mem((void*)ICR0, 0x0000U);
    sil_wrh_mem((void*)ICR1, 0x0000U);
    sil_wrh_mem((void*)ICR2, 0x0000U);
    
#ifdef USE_BANKED_REG
    /* WX^oNgpCI[o[t[Ő֎~ */    
    sil_wrh_mem((void*)IBCR, 0xfffeU);
    sil_wrh_mem((void*)IBNR, 0x4000U);
#else
    /* WX^oNgp֎~ */    
    sil_wrh_mem((void*)IBCR, 0x0000U);
    sil_wrh_mem((void*)IBNR, 0x0000U);
#endif /* USE_BANKED_REG */    

    sil_wrh_mem((void*)IPR01, 0x0000U);
    sil_wrh_mem((void*)IPR02, 0x0000U);
    sil_wrh_mem((void*)IPR05, 0x0000U);
    sil_wrh_mem((void*)IPR06, 0x0000U);
    sil_wrh_mem((void*)IPR07, 0x0000U);
    sil_wrh_mem((void*)IPR08, 0x0000U);
    sil_wrh_mem((void*)IPR09, 0x0000U);
    sil_wrh_mem((void*)IPR10, 0x0000U);
    sil_wrh_mem((void*)IPR11, 0x0000U);
    sil_wrh_mem((void*)IPR12, 0x0000U);
    sil_wrh_mem((void*)IPR13, 0x0000U);
    sil_wrh_mem((void*)IPR14, 0x0000U);
    sil_wrh_mem((void*)IPR15, 0x0000U);
    sil_wrh_mem((void*)IPR16, 0x0000U);
    sil_wrh_mem((void*)IPR17, 0x0000U);
}

#endif /* TOPPERS_MACRO_ONLY */


/*
 *  vZbTˑW[iSH2Apj
 */
#include "sh12a_hew\sh2a_config.h"

#endif /* TOPPERS_SH7263_CONFIG_H */
