/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2007 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2001-2008 by Industrial Technology Institute,
 *                              Miyagi Prefectural Government, JAPAN
 * 
 *  L쌠҂́Cȉ(1)`(4)̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEE
 *  ρEĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 *      ܂C{\tgEFÃ[U܂̓Gh[ÛȂ闝
 *      RɊÂCL쌠҂TOPPERSvWFNg
 *      Ɛӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړI
 *  ɑ΂K܂߂āCȂۏ؂sȂD܂C{\tgEF
 *  A̗pɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC
 *  ̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: target_syssvc.h 696 2007-12-25 04:42:33Z honda $
 */

/*
 *  VXeT[rX̃^[QbgˑiAPSH2Apj
 *
 *  VXeT[rX̃^[Qbgˑ̃CN[ht@CD̃t@
 *  C̓éCR|[lgLqt@CɋLqC̃t@C
 *  Ȃ錩݁D
 */

#ifndef TOPPERS_TARGET_SYSSVC_H
#define TOPPERS_TARGET_SYSSVC_H

/*
 *  SH SCIFp ȈSIOhCoshcˑ̒`
 */
#include "shc\sh_scif_shc.h"

/*
 *  ^[QbgVXẽn[hEFA̒`
 */
#include "apsh2a.h"

/*
 *  vZbTˑ̒`
 */
#include "sh12a_hew\prc_syssvc.h"

/*
 *  g[XOɊւݒ
 */
#ifdef TOPPERS_ENABLE_TRACE
#include "logtrace\trace_config.h"
#endif /* TOPPERS_ENABLE_TRACE */

/*
 *  NbZ[W̃^[QbgVXe
 */
#define TARGET_NAME    "APSH2A(SH7211)"

/*
 *  NbZ[WɃ^[Qbgˑ̒쌠\
 *  ǉ邽߂̃}ND
 */
#ifdef PRC_COPYRIGHT
#define TARGET_COPYRIGHT	PRC_COPYRIGHT
#endif /* PRC_COPYRIGHT */

/*
 *  VXeO̒჌xo͂̂߂̕o
 *
 *  ^[Qbgˑ̕@ŁCc\/o/ۑD
 */
extern void	target_fput_log(char_t c);

/*
 *  VA|[g̒`
 */
#define TNUM_PORT        2        /* T|[gVA|[g̐ */
#define TNUM_SIOP        2

/*
 *  gpVA|[gID
 */
#define SIO_PORTID   2

#define LOGTASK_PORTID   SIO_PORTID

/*
 *  {[[g
 */
#define BPS_SETTING 38400
#define SCIF0_BPS_SETTING  (((PCLOCK / 32) / BPS_SETTING) - 1)
#define SCIF1_BPS_SETTING  (((PCLOCK / 32) / BPS_SETTING) - 1)

/*
 *  ݔԍ
 */
#define SCIF0_RXI_INTNO   			SCIF0_RXI_VECTOR
#define SCIF0_TXI_INTNO   			SCIF0_TXI_VECTOR
#define SCIF1_RXI_INTNO   			SCIF1_RXI_VECTOR
#define SCIF1_TXI_INTNO   			SCIF1_TXI_VECTOR
#define SCIF2_RXI_INTNO   			SCIF2_RXI_VECTOR
#define SCIF2_TXI_INTNO   			SCIF2_TXI_VECTOR


/*
 *  VXeO^XN֘A̒萔̒`
 *
 *  ftHgl̒ʂD
 */

#endif /* TOPPERS_TARGET_SYSSVC_H */
