/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2007 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2001-2008 by Industrial Technology Institute,
 *                              Miyagi Prefectural Government, JAPAN
 * 
 *  L쌠҂́Cȉ(1)`(4)̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEE
 *  ρEĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 *      ܂C{\tgEFÃ[U܂̓Gh[ÛȂ闝
 *      RɊÂCL쌠҂TOPPERSvWFNg
 *      Ɛӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړI
 *  ɑ΂K܂߂āCȂۏ؂sȂD܂C{\tgEF
 *  A̗pɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC
 *  ̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: sh7211_config.h 697 2007-12-25 04:43:57Z honda $
 */

/*
 *		vZbTˑW[iSH7211pj
 *
 *  ̃CN[ht@ĆCtarget_config.hi܂́CCN
 *  [ht@Cĵ݂CN[hD̃t@C
 *  ڃCN[hĂ͂ȂȂD
 */

#ifndef TOPPERS_SH7211_CONFIG_H
#define TOPPERS_SH7211_CONFIG_H

/*
 *  oNWX^gp邩
 */
#define USE_BANKED_REG

/*
 * ݃nhԍɊւ`
 */ 
#define TMIN_INHNO 64U
#define TMAX_INHNO 258U
#define TNUM_INH   (258U - 64U + 1U)

/*
 * ݔԍɊւ`
 */ 
#define TMIN_INTNO 64U
#define TMAX_INTNO 258U
#define TNUM_INT   (258U - 64U + 1U)

/*
 *  ݗvC̗Dxݒ背WX^̐ݒ
 */
#define IPR_INFO_TBL_DATA   \
    {IPR01, 12U}, /*  64 IRQ0 */ \
    {IPR01,  8U}, /*  65 IRQ1 */ \
    {IPR01,  4U}, /*  66 IRQ2 */ \
    {IPR01,  0U}, /*  67 IRQ3 */ \
    {IPR02, 12U}, /*  68 IRQ4 */ \
    {IPR02,  8U}, /*  69 IRQ5 */ \
    {IPR02,  4U}, /*  70 IRQ6 */ \
    {IPR02,  0U}, /*  71 IRQ7 */ \
\
    {0U, 0U},     /*  72 */ \
    {0U, 0U},     /*  73 */ \
    {0U, 0U},     /*  74 */ \
    {0U, 0U},     /*  75 */ \
    {0U, 0U},     /*  76 */ \
    {0U, 0U},     /*  77 */ \
    {0U, 0U},     /*  78 */ \
    {0U, 0U},     /*  79 */ \
    {0U, 0U},     /*  80 */ \
    {0U, 0U},     /*  81 */ \
    {0U, 0U},     /*  82 */ \
    {0U, 0U},     /*  83 */ \
    {0U, 0U},     /*  84 */ \
    {0U, 0U},     /*  85 */ \
    {0U, 0U},     /*  86 */ \
    {0U, 0U},     /*  87 */ \
    {0U, 0U},     /*  88 */ \
    {0U, 0U},     /*  89 */ \
    {0U, 0U},     /*  90 */ \
    {0U, 0U},     /*  91 */ \
\
    {IPR05,  4U}, /*  92 ADI */ \
\
    {0U, 0U},     /*  93 */ \
    {0U, 0U},     /*  94 */ \
    {0U, 0U},     /*  95 */ \
    {0U, 0U},     /*  96 */ \
    {0U, 0U},     /*  97 */ \
    {0U, 0U},     /*  98 */ \
    {0U, 0U},     /*  99 */ \
    {0U, 0U},     /* 100 */ \
    {0U, 0U},     /* 101 */ \
    {0U, 0U},     /* 102 */ \
    {0U, 0U},     /* 103 */ \
    {0U, 0U},     /* 104 */ \
    {0U, 0U},     /* 105 */ \
    {0U, 0U},     /* 106 */ \
    {0U, 0U},     /* 107 */ \
\
    {IPR06, 12U}, /* 108 DMAC0 TEI0 */ \
    {IPR06, 12U}, /* 109 DMAC0 HEI0 */ \
\
    {0U, 0U},     /* 110 */ \
    {0U, 0U},     /* 111 */ \
\
    {IPR06,  8U}, /* 112 DMAC1 TEI1 */ \
    {IPR06,  8U}, /* 113 DMAC1 HEI1 */ \
\
    {0U, 0U},     /* 114 */ \
    {0U, 0U},     /* 115 */ \
\
    {IPR06,  4U}, /* 116 DMAC2 TEI2 */ \
    {IPR06,  4U}, /* 117 DMAC2 HEI2 */ \
\
    {0U, 0U},     /* 118 */ \
    {0U, 0U},     /* 119 */ \
\
    {IPR06,  0U}, /* 120 DMAC3 TEI3 */ \
    {IPR06,  0U}, /* 121 DMAC3 HEI3 */ \
\
    {0U, 0U},     /* 122 */ \
    {0U, 0U},     /* 123 */ \
\
    {IPR07, 12U}, /* 124 DMAC4 TEI4 */ \
    {IPR07, 12U}, /* 125 DMAC4 HEI4 */ \
\
    {0U, 0U},     /* 126 */ \
    {0U, 0U},     /* 127 */ \
\
    {IPR07,  8U}, /* 128 DMAC5 TEI5 */ \
    {IPR07,  8U}, /* 129 DMAC5 HEI5 */ \
\
    {0U, 0U},     /* 130 */ \
    {0U, 0U},     /* 131 */ \
\
    {IPR07,  4U}, /* 132 DMAC6 TEI6 */ \
    {IPR07,  4U}, /* 133 DMAC6 HEI6 */ \
\
    {0U, 0U},     /* 134 */ \
    {0U, 0U},     /* 135 */ \
\
    {IPR07,  0U}, /* 136 DMAC7 TEI7 */ \
    {IPR07,  0U}, /* 137 DMAC7 HEI7 */ \
\
    {0U, 0U},     /* 138 */ \
    {0U, 0U},     /* 139 */ \
\
    {IPR08, 12U}, /* 140 CMI0 */ \
\
    {0U, 0U},     /* 141 */ \
    {0U, 0U},     /* 142 */ \
    {0U, 0U},     /* 143 */ \
\
    {IPR08,  8U}, /* 144 CMI1 */ \
\
    {0U, 0U},     /* 145 */ \
    {0U, 0U},     /* 146 */ \
    {0U, 0U},     /* 147 */ \
\
    {IPR08,  4U}, /* 148 CMI */ \
\
    {0U, 0U},     /* 149 */ \
    {0U, 0U},     /* 150 */ \
    {0U, 0U},     /* 151 */ \
\
    {IPR08,  0U}, /* 152 ITI */ \
\
    {0U, 0U},     /* 153 */ \
    {0U, 0U},     /* 154 */ \
    {0U, 0U},     /* 155 */ \
\
    {IPR09, 12U}, /* 156 MTU0 TGI0A */ \
    {IPR09, 12U}, /* 157 MTU0 TGI0B */ \
    {IPR09, 12U}, /* 158 MTU0 TGI0C */ \
    {IPR09, 12U}, /* 159 MTU0 TGI0D */ \
    {IPR09,  8U}, /* 160 MTU0 TGI0V */ \
    {IPR09,  8U}, /* 161 MTU0 TGI0E */ \
    {IPR09,  8U}, /* 162 MTU0 TGI0F */ \
\
    {0U, 0U},     /* 163 */ \
\
    {IPR09,  4U}, /* 164 MTU1 TGI1A */ \
    {IPR09,  4U}, /* 165 MTU1 TGI1B */ \
\
    {0U, 0U},     /* 166 */ \
    {0U, 0U},     /* 167 */ \
\
    {IPR09,  0U}, /* 168 MTU1 TGI1V */ \
    {IPR09,  0U}, /* 169 MTU1 TGI1U */ \
\
    {0U, 0U},     /* 170 */ \
    {0U, 0U},     /* 171 */ \
\
    {IPR10, 12U}, /* 172 MTU2 TGI2A */ \
    {IPR10, 12U}, /* 173 MTU2 TGI2B */ \
\
    {0U, 0U},     /* 174 */ \
    {0U, 0U},     /* 175 */ \
\
    {IPR10,  8U}, /* 176 MTU2 TGI2V */ \
    {IPR10,  8U}, /* 177 MTU2 TGI2U */ \
\
    {0U, 0U},     /* 178 */ \
    {0U, 0U},     /* 179 */ \
\
    {IPR10,  4U}, /* 180 MTU3 TGI3A */ \
    {IPR10,  4U}, /* 181 MTU3 TGI3B */ \
    {IPR10,  4U}, /* 182 MTU3 TGI3C */ \
    {IPR10,  4U}, /* 183 MTU3 TGI3D */ \
    {IPR10,  0U}, /* 184 MTU3 TGI3V */ \
\
    {0U, 0U},     /* 185 */ \
    {0U, 0U},     /* 186 */ \
    {0U, 0U},     /* 187 */ \
\
    {IPR11, 12U}, /* 188 MTU4 TGI4A */ \
    {IPR11, 12U}, /* 189 MTU4 TGI4B */ \
    {IPR11, 12U}, /* 190 MTU4 TGI4C */ \
    {IPR11, 12U}, /* 191 MTU4 TGI4D */ \
    {IPR11,  8U}, /* 192 MTU4 TGI4V */ \
\
    {0U, 0U},     /* 193 */ \
    {0U, 0U},     /* 194 */ \
    {0U, 0U},     /* 195 */ \
\
    {IPR11,  4U}, /* 196 MTU5 TGI5U */ \
    {IPR11,  4U}, /* 197 MTU5 TGI5V */ \
    {IPR11,  4U}, /* 198 MTU5 TGI5W */ \
\
    {0U, 0U},     /* 199 */ \
\
    {IPR11,  0U}, /* 200 OEI1 */ \
    {IPR11,  0U}, /* 201 OEI2 */ \
\
    {0U, 0U},     /* 202 */ \
    {0U, 0U},     /* 203 */ \
\
    {IPR12, 12U}, /* 204 MTU3S TGI3A */ \
    {IPR12, 12U}, /* 205 MTU3S TGI3B */ \
    {IPR12, 12U}, /* 206 MTU3S TGI3C */ \
    {IPR12, 12U}, /* 207 MTU3S TGI3D */ \
    {IPR12,  8U}, /* 208 MTU3S TGI3V */ \
\
    {0U, 0U},     /* 209 */ \
    {0U, 0U},     /* 210 */ \
    {0U, 0U},     /* 211 */ \
\
    {IPR12,  4U}, /* 212 MTU4S TGI4A */ \
    {IPR12,  4U}, /* 213 MTU4S TGI4B */ \
    {IPR12,  4U}, /* 214 MTU4S TGI4C */ \
    {IPR12,  4U}, /* 215 MTU4S TGI4D */ \
    {IPR12,  0U}, /* 216 MTU4S TGI4V */ \
\
    {0U, 0U},     /* 217 */ \
    {0U, 0U},     /* 218 */ \
    {0U, 0U},     /* 219 */ \
\
    {IPR13, 12U}, /* 220 MTU5S TGI5U */ \
    {IPR13, 12U}, /* 221 MTU5S TGI5V */ \
    {IPR13, 12U}, /* 222 MTU5S TGI5W */ \
\
    {0U, 0U},     /* 223 */ \
\
    {IPR13,  8U}, /* 224 OEI3 */ \
\
    {0U, 0U},     /* 225 */ \
    {0U, 0U},     /* 226 */ \
    {0U, 0U},     /* 227 */ \
\
    {IPR13,  4U}, /* 228 IIC3 STPI */ \
    {IPR13,  4U}, /* 229 IIC3 NAKI */ \
    {IPR13,  4U}, /* 230 IIC3 RXI  */ \
    {IPR13,  4U}, /* 231 IIC3 TXI  */ \
    {IPR13,  4U}, /* 232 IIC3 TEI  */ \
\
    {0U, 0U},     /* 233 */ \
    {0U, 0U},     /* 234 */ \
    {0U, 0U},     /* 235 */ \
    {0U, 0U},     /* 236 */ \
    {0U, 0U},     /* 237 */ \
    {0U, 0U},     /* 238 */ \
    {0U, 0U},     /* 239 */ \
\
    {IPR14, 12U}, /* 240 SCIF0 BRI0 */ \
    {IPR14, 12U}, /* 241 SCIF0 ERI0 */ \
    {IPR14, 12U}, /* 242 SCIF0 RXI0 */ \
    {IPR14, 12U}, /* 243 SCIF0 TXI0 */ \
\
    {IPR14,  8U}, /* 244 SCIF1 BRI1 */ \
    {IPR14,  8U}, /* 245 SCIF1 ERI1 */ \
    {IPR14,  8U}, /* 246 SCIF1 RXI1 */ \
    {IPR14,  8U}, /* 247 SCIF1 TXI1 */ \
\
    {IPR14,  4U}, /* 248 SCIF2 BRI2 */ \
    {IPR14,  4U}, /* 249 SCIF2 ERI2 */ \
    {IPR14,  4U}, /* 250 SCIF2 RXI2 */ \
    {IPR14,  4U}, /* 251 SCIF2 TXI2 */ \
\
    {IPR14,  0U}, /* 252 SCIF3 BRI3 */ \
    {IPR14,  0U}, /* 253 SCIF3 ERI3 */ \
    {IPR14,  0U}, /* 254 SCIF3 RXI3 */ \
    {IPR14,  0U}, /* 255 SCIF3 TXI3 */ \
\
    {IPR15, 12U}, /* 256 WAVEIF ERR */ \
    {IPR15, 12U}, /* 257 WAVEIF WRXI */ \
    {IPR15, 12U}, /* 258 WAVEIF WTXI */ 

#ifndef TOPPERS_MACRO_ONLY
#pragma inline (init_irc)
/*
 * IRC̏
 */
Inline void
init_irc(void)
{
    sil_wrh_mem((void*)ICR0, 0x0000U);
    sil_wrh_mem((void*)ICR1, 0x0000U);
    
#ifdef USE_BANKED_REG
    /* WX^oNgpCI[o[t[Ő֎~ */    
    sil_wrh_mem((void*)IBNR, 0x4000U);
#else
    /* WX^oNgp֎~ */    
    sil_wrh_mem((void*)IBNR, 0x0000U);
#endif /* USE_BANKED_REG */    

    sil_wrh_mem((void*)IPR01, 0x0000U);
    sil_wrh_mem((void*)IPR02, 0x0000U);
    sil_wrh_mem((void*)IPR05, 0x0000U);
    sil_wrh_mem((void*)IPR06, 0x0000U);
    sil_wrh_mem((void*)IPR07, 0x0000U);
    sil_wrh_mem((void*)IPR08, 0x0000U);
    sil_wrh_mem((void*)IPR09, 0x0000U);
    sil_wrh_mem((void*)IPR10, 0x0000U);
    sil_wrh_mem((void*)IPR11, 0x0000U);
    sil_wrh_mem((void*)IPR12, 0x0000U);
    sil_wrh_mem((void*)IPR13, 0x0000U);
    sil_wrh_mem((void*)IPR14, 0x0000U);
    sil_wrh_mem((void*)IPR15, 0x0000U);
}

#endif /* TOPPERS_MACRO_ONLY */


/*
 *  vZbTˑW[iSH2Apj
 */
#include "sh12a_hew\sh2a_config.h"

#endif /* TOPPERS_SH7211_CONFIG_H */
