;
;  TOPPERS/ASP Kernel
;      Toyohashi Open Platform for Embedded Real-Time Systems/
;      Advanced Standard Profile Kernel
; 
;  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
;                              Toyohashi Univ. of Technology, JAPAN
;  Copyright (C) 2005,2007 by Embedded and Real-Time Systems Laboratory
;              Graduate School of Information Science, Nagoya Univ., JAPAN
;  Copyright (C) 2001-2008 by Industrial Technology Institute,
;                              Miyagi Prefectural Government, JAPAN
; 
;  L쌠҂́Cȉ (1)`(4) ̏CFree Software Foundation 
;  ɂČ\Ă GNU General Public License  Version 2 ɋL
;  qĂ𖞂ꍇɌC{\tgEFAi{\tgEFA
;  ς̂܂ށDȉjgpEEρEĔzziȉC
;  pƌĂԁj邱Ƃ𖳏ŋD
;  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
;      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
;      XR[hɊ܂܂Ă邱ƁD
;  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
;      pł`ōĔzzꍇɂ́CĔzzɔhLgip
;      ҃}jAȂǁjɁCL̒쌠\C̗pщL
;      ̖ۏ؋Kfڂ邱ƁD
;  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
;      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
;      ƁD
;    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
;        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
;    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
;        񍐂邱ƁD
;  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
;      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
;
;  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
;  TOPPERSvWFNǵC{\tgEFAɊւāC̓Kp\
;  ܂߂āCȂۏ؂sȂD܂C{\tgEFA̗pɂ蒼
;  ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC𕉂ȂD
; 
;  @(#) $Id: target_support.inc,v 1.6 2005/11/13 14:05:01 honda Exp $
;

 .AIFDEF _TARGET_SUPPORT_INC_
 .AELSE

_TARGET_SUPPORT_INC_: .DEFINE ""

        .INCLUDE "user_config_asm.inc"
        .INCLUDE "sh7262_asm.inc"

;
; sil_dly_nse_longsŗp萔
; 
 .AIFDEF ROM_BOOT		; ROM̏ꍇ
SIL_DLY_TIM1:           .DEFINE         "75"
SIL_DLY_TIM2:           .DEFINE         "40"

 .AELSE					; RAMŃfobOꍇ
SIL_DLY_TIM1:           .DEFINE         "2020"
SIL_DLY_TIM2:           .DEFINE          "709"

 .AENDI ;  ROM_BOOT

; n[hEFA֐̐擪AhX
HARDWARE_INIT_HOOK:     .DEFINE         "_hardware_init_hook"

; \tgEFAiɃCúj֐̐擪AhX
; @gpꍇ̓RgO
; SOFTWARE_INIT_HOOK:   .DEFINE         "_software_init_hook"

;
;  ӃNbN P = 40MHz
;
PCLOCK:					.DEFINE			"24000000"


 .AENDI ;  _TARGET_SUPPORT_INC_

